[PATCH 28/94] sys-apps/sysvinit: port to Hurd

Sam James <[email protected]>
Newsgroups gmane.linux.gentoo.devel
Message-ID <2e5891b35ddb5e5f99e65a5c839e7e256f637445.1774994306.git.sam@gentoo.org>
Avoid collision (with merged-usr, which is a special topic w/ Hurd) on
halt + reboot.

Signed-off-by: Sam James <[email protected]>
---
 sys-apps/sysvinit/sysvinit-3.15.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/sys-apps/sysvinit/sysvinit-3.15.ebuild b/sys-apps/sysvinit/sysvinit-3.15.ebuild
index 59cb7a8b14aaa..a3433ce3e1de7 100644
--- a/sys-apps/sysvinit/sysvinit-3.15.ebuild
+++ b/sys-apps/sysvinit/sysvinit-3.15.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -149,6 +149,12 @@ src_install() {
 	find "${ED}" -xtype l -delete || die
 
 	find "${ED}" -type d -empty -delete || die
+
+	if use kernel_Hurd ; then
+		# Avoid clash with sys-kernel/hurd
+		mv "${ED}"/sbin/halt "${ED}"/sbin/sysvinit-halt || die
+		mv "${ED}"/sbin/reboot "${ED}"/sbin/sysvinit-reboot || die
+	fi
 }
 
 pkg_postinst() {
-- 
2.53.0
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.